Package org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven

## Class EventDrivenTransformationRuleFactory

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven.EventDrivenTransformationRuleFactory

-     public class EventDrivenTransformationRuleFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventDrivenTransformationRuleFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `createRule()` | Deprecated. Use `createRule(IQuerySpecification)` instead
    `<Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `createRule​(IQuerySpecification<Matcher> precondition)` |
    `<Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRule<Match,​Matcher>` | `filterRule​(EventDrivenTransformationRule<Match,​Matcher> rule, EventFilter<? super Match> filter)` | Replaces a filter of an existing transformation rule, but keeps all other properties intact
    `static java.util.AbstractMap.SimpleEntry<java.lang.String,​java.lang.Object>` | `operator_mappedTo​(java.lang.String key, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDrivenTransformationRuleFactory

          public EventDrivenTransformationRuleFactory()

  - ### Method Detail

    - #### createRule

          @Deprecated
          public <Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> createRule()

      Deprecated.
      Use `createRule(IQuerySpecification)` instead

    - #### createRule

          public <Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> createRule​(IQuerySpecification<Matcher> precondition)

      Since:
        2.1

    - #### filterRule

          public <Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRule<Match,​Matcher> filterRule​(EventDrivenTransformationRule<Match,​Matcher> rule,
                                                                                                                                                             EventFilter<? super Match> filter)

      Replaces a filter of an existing transformation rule, but keeps all other properties intact

    - #### operator_mappedTo

          public static java.util.AbstractMap.SimpleEntry<java.lang.String,​java.lang.Object> operator_mappedTo​(java.lang.String key,
                                                                                                                     java.lang.Object value)

      Since:
        2.0